body > .footer-w {
  /*flex-basis: 531px;*/
  flex-grow: 0;
  flex-shrink: 0;

  display: flex;
  justify-content: center;

  background-color: #6b1d74;

  color: #fff;
}

body > .footer-w > .footer {
  flex-basis: 1200px;
  flex-grow: 0;
  flex-shrink: 1;

  display: flex;
  flex-direction: column;
  align-items: stretch;

  /*padding: 40px 0 40px 0;*/
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer {
    padding: 50px 20px 30px 20px;
  }
}

body > .footer-w > .footer > .t {
  display: flex;
  justify-content: space-between;
  padding: 40px 0;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .t {
    flex-direction: column;
    padding: 0 0 50px 0;
  }
}

body > .footer-w > .footer > .t > h2 {
  flex-basis: 450px;
  flex-grow: 0;
  flex-shrink: 1;

  font-size: 30px;
  line-height: 39px;
  margin: 0;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .t > h2 {
    flex-basis: auto;
  }
}

body > .footer-w > .footer > .t > h2 > span {
  color: #e1a1e9;
}

body > .footer-w > .footer > .t > .r {
  flex-basis: 560px;
  flex-grow: 0;
  flex-shrink: 0;

  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .t > .r {
    flex-basis: auto;
  }
}

body > .footer-w > .footer > .t > .r > p {
  margin: 0;
  font-size: 16px;
  line-height: 24px;
}

body > .footer-w > .footer > .t > .r > form {
  margin: 40px 0 0 0;

  display: flex;
  flex-direction: column;
}

body > .footer-w > .footer > .t > .r > form > .g {
  display: flex;
  justify-content: space-between;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .t > .r > form > .g {
    flex-direction: column;
  }
}

body > .footer-w > .footer > .t > .r > form > .g > input[type="text"] {
  flex-basis: 270px;
  flex-shrink: 1;
  flex-grow: 0;
  height: 44px;
  padding: 0 20px 0 20px;

  color: #9e9e9e;
  font-size: 14px;
  line-height: 14px;

  outline: none;
  border: 1px solid #fff;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .t > .r > form > .g > input[type="text"] {
    flex-basis: 44px;
  }
}

body > .footer-w > .footer > .t > .r > form > .g > input[type="text"]:focus {
  border: 1px solid #e1a1e9;
}

body > .footer-w > .footer > .t > .r > form > .g > input[type="text"]:valid {
  color: #0d0b0d;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .t > .r > form > .g > input[type="text"] + input[type="text"] {
    margin: 20px 0 0 0;
  }
}

body > .footer-w > .footer > .t > .r > form > textarea {
  margin: 20px 0 0 0;

  flex-shrink: 1;
  flex-grow: 1;

  height: 88px;
  padding: 10px 20px 10px 20px;

  color: #9e9e9e;
  font-size: 14px;
  line-height: 14px;

  outline: none;
  border: 1px solid #fff;
}

body > .footer-w > .footer > .t > .r > form > textarea:focus {
  border: 1px solid #e1a1e9;
}

body > .footer-w > .footer > .t > .r > form > textarea:valid {
  color: #0d0b0d;
}

body > .footer-w > .footer > .t > .r > form > button {
  flex-grow: 1;
  flex-shrink: 1;

  margin: 30px 0 0 0;

  outline: none;
  border: none;

  cursor: pointer;

  height: 44px;

  background-color: #000;

  color: #fff;
  font-size: 14px;
  line-height: 14px;

  display: flex;
  justify-content: center;
  align-items: center;
}

body > .footer-w > .footer > .t > .r > form > button:hover {
  background-color: #181818;
}

body > .footer-w > .footer > .b {
  flex-grow: 0;
  flex-basis: 0;
  border-top: 1px solid #893e91;

  display: flex;

  padding: 25px 0;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .b {
    flex-direction: column;
    padding: 30px 0 0 0;
  }
}

body > .footer-w > .footer > .b > .l {
  flex-grow: 1;
  flex-shrink: 1;

  display: flex;
  align-items: center;

  font-size: 14px;
  line-height: 17px;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .b > .l {
    flex-direction: column;
    align-items: flex-start;
  }
}

body > .footer-w > .footer > .b > .l > a {
  margin: 0 0 0 20px;
  padding: 0 0 0 20px;
  border-left: 1px solid #e1a1e9;
  color: #e1a1e9;
  text-decoration: none;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .b > .l > a {
    margin: 20px 0 0 0;
    padding: 0;
    border: 0;
  }
}

body > .footer-w > .footer > .b > .r {
  flex-basis: 210px;
  flex-grow: 0;
  flex-shrink: 0;

  display: flex;
}

@media screen and (max-width: 1239px) {
  body > .footer-w > .footer > .b > .r {
    flex-basis: auto;
    margin: 20px 0 0 0;
  }
}

@media screen and (max-width: 1239px) {
  body > .nb-w.open-menu ~ .footer-w > .footer > .b > .r {
    position: fixed;
    z-index: 2;
    left: 15px;
    right: 15px;
    bottom: 20px;
    margin: 0;
    justify-content: center;
  }
}

body > .footer-w > .footer > .b > .r > a {
  text-decoration: none;
  flex-basis: 30px;
  flex-grow: 0;
  flex-shrink: 0;
  height: 30px;
}

body > .footer-w > .footer > .b > .r > a.fb {
  background-image: url(/img/social/fb.svg);
}

body > .footer-w > .footer > .b > .r > a.li {
  background-image: url(/img/social/li.svg);
}

body > .footer-w > .footer > .b > .r > a.in {
  background-image: url(/img/social/in.svg);
}

body > .footer-w > .footer > .b > .r > a.tg {
  background-image: url(/img/social/tg.svg);
}

body > .footer-w > .footer > .b > .r > a.wu {
  background-image: url(/img/social/wu.svg);
}

body > .footer-w > .footer > .b > .r > a.fb:hover {
  background-image: url(/img/social/fbh.svg);
}

body > .footer-w > .footer > .b > .r > a.li:hover {
  background-image: url(/img/social/lih.svg);
}

body > .footer-w > .footer > .b > .r > a.in:hover {
  background-image: url(/img/social/inh.svg);
}

body > .footer-w > .footer > .b > .r > a.tg:hover {
  background-image: url(/img/social/tgh.svg);
}

body > .footer-w > .footer > .b > .r > a.wu:hover {
  background-image: url(/img/social/wuh.svg);
}

body > .footer-w > .footer > .b > .r > a + a {
  margin-left: 15px;
}